<div ng-controller="Contigs as contigs">
  <table class="table" style="margin-bottom:0;">
    <tr>
      <td colspan="2">
        <h4>
          Showing {{contigs.total}}<i ng-if="contigs.loading" class="fa fa-fw fa-spinner fa-pulse"></i> contigs that contain <b ng-show="contigs.showOnlyEmptyContigs">no</b>
          predicted genes <span ng-show="!contigs.showOnlyEmptyContigs">matching the filters</span>
        </h4>
      </td>
      <td>
        <label ng-if="contigs.mode ==='viral'">
          <input type="checkbox" ng-model="contigs.showVirSorterHitsOnly"
                 ng-change="contigs.onVirSorterCheckboxChange()">
          Show VirSorter hits only
        </label>
      </td>
    </tr>
    <tr>
      <td width="25%">
        Page {{contigs.pageIndexForDisplay}}
      </td>
      <td width="45%">
        <label>
          <input type="checkbox" ng-model="contigs.showOnlyContigsLongerThan"
                 ng-change="contigs.onLongerThanCheckboxChange()">
          Show only contigs longer than
        </label>
        <input type="number" style="width:100px" ng-model="contigs.longerThan"
               ng-change="contigs.onLongerThanChange()" min="0" step="100">
      </td>
      <td width="30%">
        <label>
          <input type="checkbox" ng-model="contigs.showOnlyEmptyContigs"
                 ng-change="contigs.onEmptyContigsCheckboxChange()">
          Show all empty contigs instead
        </label>
      </td>
    </tr>
  </table>
  <div class="btn-group btn-group-justified contigs-nav" role="group" aria-label="...">
    <div class="btn-group" role="group">
      <button class="btn btn-default" ng-disabled="contigs.afterHistory.length === 0"
              ng-mousedown="contigs.pageBackward()"
              uib-tooltip="Go one page backward" tooltip-placement="bottom">
        <i class="fa fa-play fa-flip-horizontal"></i>
      </button>
    </div>
    <div class="btn-group" role="group">
      <button class="btn btn-default" ng-disabled="contigs.hits.length < contigs.pageSize"
              ng-mousedown="contigs.pageForward()"
              uib-tooltip="Go one page forward" tooltip-placement="bottom">
        <i class="fa fa-play"></i>
      </button>
    </div>
  </div>
  <table class="table table-striped table-bordered contigs-table" ng-class="{'stale-content': contigs.loading}">
    <th class="table-column-header">
      Contig ID
      <i ng-if="contigs.loading" class="fa fa-fw fa-spinner fa-pulse"></i>
    </th>
    <th class="table-column-header">
      Contig length
    </th>
    <th class="table-column-header" ng-show="!contigs.showOnlyEmptyContigs">
      Number of matching genes <i class="fa fa-fw fa-sort-desc"></i>
    </th>
    <th ng-if="contigs.mode ==='viral'">
      VirSorter (Phage)
    </th>
    <th ng-if="contigs.mode ==='viral'">
      VirSorter (Prophage)
    </th>
    <th>
      Actions
    </th>
    <tr ng-repeat="contig in contigs.hits">
      <td>
        {{contig._source.id}}
        <i class="fa fa-filter" role="button" ng-mousedown="contigs.addContigFilterBox(contig._source.id)"
           uib-tooltip="Create a filter for this contig" tooltip-placement="top"></i>
      </td>
      <td>
        {{contig._source.length}}
      </td>
      <td ng-show="!contigs.showOnlyEmptyContigs">
        {{contig._score}}
      </td>
      <td ng-if="contigs.mode ==='viral'">
        {{contig._source.virsorter.phage}}
      </td>
      <td ng-if="contigs.mode ==='viral'">
        {{contig._source.virsorter.prophage}}
      </td>
      <td>
        <button ng-show="!contigs.showOnlyEmptyContigs"
                type="button" class="btn btn-default btn-xs contig-viewer-button"
                ng-mousedown="contigs.openContigPopup(contig._source.id, '')"
                uib-tooltip="Open contig viewer" tooltip-placement="left">
          <img src="main/contig-viewer-icon.svg"/>
        </button>
        <button type="button" class="btn btn-default btn-xs" style="margin-left: 5px;"
                uib-tooltip="Download contig sequence as nucleotide fasta file" tooltip-placement="left"
                ng-mousedown="contigs.downloadContig(contig._source.id)">
          <i class="fa fa-download"></i> .fna
        </button>
      </td>
    </tr>
  </table>
  <a id="download-contig" style="display: none"
     download="{{contigs.downloadFilename}}.contig.fna"
     ng-href="{{contigs.downloadUrl}}">Download</a>
</div>